<?php
if ( function_exists('register_sidebar') )
register_sidebar(array(
'name' => 'ستون سمت چپ',
'description' => 'ستون سمت راست قالب از بخش ابزارک های در دسترس ابزار مورد نظر را بکشید و در این بخش قرار بدهید (طراحی و اجر : گروه وردپرس دیزاینر)',
'id' => 'sidebar',
'before_widget' => '<div class="blok"><div class="blok-top1"></div><div class="blok-bg1"><div>',
'after_widget' => '</div></div></div></div><div class="blok-bot1"></div></div>',
'before_title' => '<div class="blok-top-txt">',
'after_title' => '</div><div class="img27"></div><div><div class="post-txt">',
));
?>
<?php
// post thumbnail support
if ( function_exists( 'add_image_size' ) ) add_theme_support( 'post-thumbnails' );
if ( function_exists( 'add_image_size' ) )
 {
	add_image_size( 'post-thumb', 100, 100, true);
}
?>
<?php
function register_my_menus() {
register_nav_menus(
array(
'top-menu' => __( 'فهرست بالا' ),
'bot-menu' => __( 'فهرست پایین' ),
)
);
}
add_action( 'init', 'register_my_menus' );
?>
<?php
/* ----------------------------------------------------------
Declare vars
------------------------------------------------------------- */
$themename = "Reza Khani. wp-designer.ir";
$shortname = "rezakhani";
 
$categories = get_categories('hide_empty=0&orderby=name');
$all_cats = array();
foreach ($categories as $category_item ) {
$all_cats[$category_item->cat_ID] = $category_item->cat_name;
}
array_unshift($all_cats, "Select a category");
 
/*---------------------------------------------------
register settings
----------------------------------------------------*/
function theme_settings_init(){
register_setting( 'theme_settings', 'theme_settings' );
wp_enqueue_style("panel_style","#", false, "1.0", "all");
wp_enqueue_script("panel_script","#", false, "1.0");
}
/*---------------------------------------------------
add settings page to menu
----------------------------------------------------*/
function add_settings_page() {
add_menu_page( __( 'مدیریت پوسته نوین بنر' .'wp-designer.ir' ), __( 'تنظیمات قالب'  ), 'manage_options', 'Wp-Designer.ir', 'theme_settings_page');
}

/*---------------------------------------------------
add actions
----------------------------------------------------*/
add_action( 'admin_init', 'theme_settings_init' );
add_action( 'admin_menu', 'add_settings_page' );

/* ---------------------------------------------------------
Declare options
----------------------------------------------------------- */
 
$theme_options = array (
 
array( "name" => $themename." Options",
"type" => "title"),
  
/* ---------------------------------------------------------
Footer section
----------------------------------------------------------- */
array( "name" => "پروژه های در حال اجر",
"type" => "section"),

array( "type" => "open"),
array( "name" => "عنوان پروژه یک را وارد کنید",
"desc" => "نام وب سایت یک را وراد کنید",
"id" => $shortname."_proname_1",
"type" => "text",
"std" => ""),
array( "type" => "close"),
array( "type" => "open"),
array( "name" => "درصد پیشرفت کار سایت یک",
"desc" => "درصد را ننویسید برای مثال شما بنویسد 50 خودش درصد رو میزاره",
"id" => $shortname."_prodar_1",
"type" => "text",
"std" => ""),
array( "type" => "close"),
array( "type" => "open"),
array( "name" => "تاریخ اجرای پروژ یک را بنویسید",
"desc" => " برای مثال 93/2/3  بنویسید <br><br> ",
"id" => $shortname."_prodeta_1",
"type" => "text",
"std" => ""),
array( "type" => "close"),



array( "type" => "open"),
array( "name" => "عنوان پروژه دو را وارد کنید",
"desc" => "نام وب سایت دو را وراد کنید",
"id" => $shortname."_proname_2",
"type" => "text",
"std" => ""),
array( "type" => "close"),
array( "type" => "open"),
array( "name" => "درصد پیشرفت کار سایت دو",
"desc" => "درصد را ننویسید برای مثال شما بنویسد 50 خودش درصد رو میزاره",
"id" => $shortname."_prodar_2",
"type" => "text",
"std" => ""),
array( "type" => "close"),
array( "type" => "open"),
array( "name" => "تاریخ اجرای پروژ دو را بنویسید",
"desc" => " برای مثال 93/2/3  بنویسید <br><br> ",
"id" => $shortname."_prodeta_2",
"type" => "text",
"std" => ""),
array( "type" => "close"),




array( "type" => "open"),
array( "name" => "عنوان پروژه سه را وارد کنید",
"desc" => "نام وب سایت سه را وراد کنید",
"id" => $shortname."_proname_3",
"type" => "text",
"std" => ""),
array( "type" => "close"),

array( "type" => "open"),
array( "name" => "درصد پیشرفت کار سایت سه ",
"desc" => "درصد را ننویسید برای مثال شما بنویسد 50 خودش درصد رو میزاره",
"id" => $shortname."_prodar_3",
"type" => "text",
"std" => ""),
array( "type" => "close"),

array( "type" => "open"),
array( "name" => "تاریخ اجرای پروژ سه  را بنویسید",
"desc" => " برای مثال 93/2/3  بنویسید <br><br> ",
"id" => $shortname."_prodeta_3",
"type" => "text",
"std" => ""),
array( "type" => "close"),


/* ---------------------------------------------------------
General section
----------------------------------------------------------- */
array( "name" => "لینک های وب سایت ",
"type" => "section"),


array( "type" => "open"),
array( "name" => "لینک سامانه مشتری را اینجا وراد کنید",
"desc" => "آدرس صفحه ای سامانه مشتری را اینجا وراد کنید",
"id" => $shortname."_linksamane_1",
"type" => "text",
"std" => ""),

array( "type" => "open"),
array( "name" => "لینک پرداخت آنلاین را اینجا وارد کنید",
"desc" => " آدرس صفحه ای پرداخت آنلاین را اینجا وراد کنید",
"id" => $shortname."_linkpardakht_1",
"type" => "text",
"std" => ""),


array( "type" => "open"),
array( "name" => "لینک پشتیبانی آنلاین را اینجا وارد کنید",
"desc" => " برای آی دی یاهو اینطوری وراد کنید ymsgr:addfriend?reza48_56 ",
"id" => $shortname."_yahooid_1",
"type" => "text",
"std" => ""),



array( "type" => "open"),
array( "name" => "لینک همکاری با ما را اینجا وارد کنید",
"desc" => " آدرس صفحه ای  همکاری با ما  را اینجا وراد کنید",
"id" => $shortname."_linkham_1",
"type" => "text",
"std" => ""),




array( "type" => "open"),
array( "name" => "شماره تلفن یک را وراد کنید",
"id" => $shortname."_tell_1",
"type" => "text",
"std" => ""),


array( "type" => "open"),
array( "name" => "شماره تلفن دو را وراد کنید",
"id" => $shortname."_tell_2",
"type" => "text",
"std" => ""),



/* ---------------------------------------------------------
General section
----------------------------------------------------------- */
array( "name" => "توضیحات و کپی رایت",
"type" => "section"),


array( "type" => "open"),
array( "name" => "مختصری در باره وب سایت",
"desc" => "آدرس صفحه ای سامانه مشتری را اینجا وراد کنید",
"id" => $shortname."_tozihat_1",
"type" => "textarea",
"std" => ""),

array( "type" => "open"),
array( "name" => "کپی رایت",
"desc" => "متن کپی رایت در فوتر را اینجا وراد کنید",
"id" => $shortname."_copy_1",
"type" => "text",
"std" => ""),

);
/*---------------------------------------------------
Theme Panel Output
----------------------------------------------------*/
function theme_settings_page() {
global $themename,$theme_options;
$i=0;
$message='';
if ( 'save' == $_REQUEST['action'] ) {
 
foreach ($theme_options as $value) {
update_option( $value['id'], $_REQUEST[ $value['id'] ] ); }
 
foreach ($theme_options as $value) {
if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); } }
$message='saved';
}
else if( 'reset' == $_REQUEST['action'] ) {
 
foreach ($theme_options as $value) {
delete_option( $value['id'] ); }
$message='reset';
}
 
if ( $message=='saved' ) echo '<div id="message"><strong>قالب  با موفقیت به روز رسانی شد</strong></div>';
if ( $message=='reset' ) echo '<div id="message"><strong>'.$themename.' تنظیمات ریست شد.</strong></div>';
 

?>
<div>
<style>

input{
	-webkit-border-radius: 5px;
	-moz-border-radius: 5px;
	-o-border-radius: 5px;
	border-radius: 5px;
	background:#FFF none repeat scroll 0 0;
	border:1px solid #BBB;
	font-size:11px;
	
	width: 250px;
	font-family:Tahoma, Geneva, sans-serif;
}
</style>
<div id="icon-options-general"></div>
<h2><?php _e( 'مدیریت پوسته نوین بنر' ) //your admin panel title ?></h2>
 <ul>
             <li>طراح قالب : <a href="http://wp-designer.ir/">وردپرس دیزاینر</a></li>

         </ul>
<div>
<form method="post">
 
<?php foreach ($theme_options as $value) {
 
switch ( $value['type'] ) {
 
case "open": ?>
<?php break;
 
case "close": ?>

<?php break;
 
case "title": ?>
<div>
</div>
<?php break;
 
case 'text': ?>
<div>
<label for="<?php echo $value['id']; ?>">
<?php echo $value['name']; ?></label>
<input id="" type="<?php echo $value['type']; ?>" name="<?php echo $value['id']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo stripslashes(get_settings( $value['id'])  ); } else { echo $value['std']; } ?>" />
<small><?php echo $value['desc']; ?></small>
</div>
<?php break;
 
case 'textarea': ?>
<div>
<label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label>
<textarea name="<?php echo $value['id']; ?>" rows="" cols=""><?php if ( get_settings( $value['id'] ) != "") { echo stripslashes(get_settings( $value['id']) ); } else { echo $value['std']; } ?></textarea>
<small><?php echo $value['desc']; ?></small>
<div></div>
</div>
<?php break;
 
case 'select': ?>
<div>
<label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label>
<select name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
<?php foreach ($value['options'] as $option) { ?>
<option <?php if (get_settings( $value['id'] ) == $option) { echo 'selected="selected"'; } ?>><?php echo $option; ?></option>
<?php } ?>
</select>
<small><?php echo $value['desc']; ?></small>
</div>
<?php break;
 
case "checkbox": ?>
<div>
<label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label>
<?php if(get_option($value['id'])){ $checked = "checked=\"checked\""; }else{ $checked = "";} ?>
<input id="<?php echo $value['id']; ?>" type="checkbox" name="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
<small><?php echo $value['desc']; ?></small>
<div></div>
</div>
<?php break;
 
case "section":
$i++; ?>
<div>
<div>
 
<h3><img src="<?php echo get_template_directory_uri();?>/images/options.png" alt="">&nbsp;<?php echo $value['name']; ?></h3>


<div></div>
</div>
<div>
<?php break;
 
}
}?>
<p>
<span><input name="save<?php echo $i; ?>" type="submit" value="ذخیره تغییرات" /></span>
<input type="hidden" name="action" value="save" />


</form>
<form method="post">

<span><input name="reset" type="submit" value="ریست کردن فرم" /></span>
<input type="hidden" name="action" value="reset" /></p>


</form>
</div>
<div>
            <p>طراحی و اجرا : <a title="faraz-negar" href="http://wp-designer.ir/" target="_blank" >وردپرس دیزاینر</a> - انتشار در پرشین اسکریپت</p>
</div>
</div>
<?php
}
 
?>